changequote(,)dnl
###\\\\ Directories and file location ////###
etc                 /etc/sympa
home                HOME/list_data
queue               HOME/spool/msg
queueauth           HOME/spool/auth
queueautomatic      HOME/spool/automatic
queuebounce         HOME/spool/bounce
queuedigest         HOME/spool/digest
queuemod            HOME/spool/moderation
queueoutgoing       HOME/spool/outgoing
queuesubscribe      HOME/spool/subscribe
queuetask           HOME/spool/task
queuetopic          HOME/spool/topic
spool               HOME/spool
static_content_path /var/lib/sympa/static_content
static_content_url  /static-sympa
tmpdir              /run/shm/tmp/sympa
umask               007

###\\\\ Syslog ////###
log_level 0
log_smtp off
log_socket_type unix
logs_expiration_period 3
syslog `cat /etc/sympa/facility`

###\\\\ General definition ////###
create_list public_listmaster
domain LOCAL_DOMAINNAME
edit_list owner
email sympa
#host LOCAL_DOMAINNAME
#http_host sympa.LOCAL_DOMAINNAME
listmaster esyscmd(getent passwd $(getent group sudo | cut -d : -f 4 | tr '\054' ' ') |
	cut -d : -f 5 | cut -d $(printf '\054') -f 5 | tr '\n' '\054' | sed -e 's/\x2C$//')

###\\\\ Tuning ////###
bulk_fork_threshold 1
bulk_lazytime 600
bulk_max_count 3
bulk_sleep 1
bulk_wait_to_fork 10
cache_list_config none
cookie `cat /etc/sympa/cookie`
default_distribution_ttl 300
default_list_priority 5
default_sql_fetch_timeout 300
default_ttl 3600
legacy_character_support_feature off
max_size 5242880
owner_priority 9
reject_mail_from_automates_feature on
remove_headers X-Sympa-To,X-Family-To,Return-Receipt-To,Precedence,X-Sequence,Disposition-Notification-To
request_priority 0
rfc2369_header_fields help,subscribe,unsubscribe,post,owner,archive
sympa_packet_priority 5
sympa_priority 1
use_blacklist send,create_list

###\\\\ Internationalization ////###
lang fr
supported_lang fr

###\\\\ Errors management ////###
bounce_halt_rate 50
bounce_warn_rate 30
#expire_bounce_task daily
#welcome_return_path unique

###\\\\ MTA related ////###
alias_manager /usr/lib/sympa/bin/alias_manager.pl
avg 10
maxsmtp 40
nrcpt 25
sendmail /usr/sbin/sendmail
sendmail_aliases /etc/mail/sympa/aliases

###\\\\ Plugin ////###
#antivirus_args --secure --summary --dat /usr/local/uvscan
#antivirus_path /usr/local/uvscan/uvscan

###\\\\ DKIM ////###
dkim_add_signature_to robot,list
dkim_feature off
dkim_header_list from:sender:reply-to:subject:date:message-id:to:cc:list-id:list-help:list-unsubscribe:list-subscribe:list-post:list-owner:list-archive:in-reply-to:references:resent-date:resent-from:resent-sender:resent-to:resent-cc:resent-message-id:mime-version:content-type:content-transfer-encoding:content-id:content-description
dkim_signature_apply_on md5_authenticated_messages,smime_authenticated_messages,dkim_authenticated_messages,editor_validated_messages

###\\\\ S/MIME pluggin ////###
#cafile 
capath /etc/sympa/x509.d
crl_dir HOME/list_data/crl
#key_passwd `cat /etc/sympa/key_passwd`
openssl /usr/bin/openssl
ssl_cert_dir HOME/list_data/x509.d

###\\\\ Database ////###
#db_additional_subscriber_fields billing_delay,subscription_expiration
#db_additional_user_fields age,address
db_host /run/postgresql
db_name sympa
#db_passwd your_passwd
db_type Pg
db_user sympa

###\\\\ Web interface ////###
antispam_tag_header_ham_regexp ^\s*No
antispam_tag_header_name X-Spam-Status
antispam_tag_header_spam_regexp ^\s*Yes
max_wrong_password 19
soap_url http://--HOST--/sympasoap
spam_status x-spam-status
#wwsympa_url  https://sympa.LOCAL_DOMAINNAME

###\\\\\ Special features ////###
dmarc_protection_mode dmarc_reject #https://www.sympa.org/manual/dmarc
